apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::VerFileIterator Class Reference
Inheritance diagram for pkgCache::VerFileIterator:

## Public Member Functions
VerFile * | OwnerPointer () const
VerFileIterator & | operator++ ()
VerFileIterator | operator++ (int)
PkgFileIterator | File () const
| VerFileIterator (pkgCache &Owner, VerFile *Trg)
Public Member Functions inherited from pkgCache::Iterator< VerFile, VerFileIterator >
bool | end () const
bool | operator== (const VerFileIterator &B) const
bool | operator!= (const VerFileIterator &B) const
VerFile * | operator-> ()
| operator VerFile * ()
| operator VerFile const * () const
VerFile & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< VerFile > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< VerFile, VerFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< VerFile, VerFileIterator >
VerFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h